Bug 522129 - RADEON:RS480:XPRESS200:UMS Black Screen
Summary: RADEON:RS480:XPRESS200:UMS Black Screen
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 522154 522955
TreeView+ depends on / blocked
 
Reported: 2009-09-09 14:35 UTC by Qian Cai
Modified: 2018-04-11 13:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-07 05:12:37 UTC


Attachments (Terms of Use)
Smolt Profile (6.59 KB, text/plain)
2009-09-09 14:35 UTC, Qian Cai
no flags Details
dmesg -- nomodeset (34.23 KB, text/plain)
2009-09-09 14:39 UTC, Qian Cai
no flags Details
Xorg.0.log -- nomodeset (49.74 KB, text/plain)
2009-09-09 14:40 UTC, Qian Cai
no flags Details

Description Qian Cai 2009-09-09 14:35:46 UTC
Created attachment 360239 [details]
Smolt Profile

Description of problem:
There is a black screen while entering the X Window without KMS. It can be workaround most of time by entering runlevel 3 and then execute "startx". This looks like a regression that it starts to happen since I upgraded the F12 system yesterday.

# lspci -xxxvvv
...
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon XPRESS 200M 5955
(PCIE) (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company MX6125
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B+ DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (2000ns min), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at c0000000 (32-bit, prefetchable) [size=64M]
        Region 1: I/O ports at 2000 [size=256]
        Region 2: Memory at c4400000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at c4420000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: radeon
        Kernel modules: radeon, radeonfb
00: 02 10 55 59 07 02 b0 02 00 00 00 03 10 40 00 00
10: 08 00 00 c0 01 20 00 00 00 00 40 c4 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 3c 10 8b 30
30: 00 00 00 00 50 00 00 00 00 00 00 00 05 01 08 00
40: 00 00 00 00 00 00 00 00 00 00 00 00 3c 10 8b 30
50: 01 00 02 06 00 00 00 00 02 50 20 00 30 02 00 4f
60: 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 05 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Version-Release number of selected component (if applicable):
kernel-2.6.31-0.204.rc9.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.2.20090821gitb1b77a4d6.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot the kernel with nomodeset.
  
Actual results:
Black screen when entering X Window.

Expected results:
Successfully start X Window.

Comment 1 Qian Cai 2009-09-09 14:39:35 UTC
Created attachment 360241 [details]
dmesg -- nomodeset

Since it is impossible to capture dmesg and Xorg logs in runlevel 5 which the bug occurs, they were captured after "startx" from runlevel 3.

Comment 2 Qian Cai 2009-09-09 14:40:20 UTC
Created attachment 360242 [details]
Xorg.0.log -- nomodeset

Comment 3 Qian Cai 2009-09-09 16:05:20 UTC
The black screen also happen when switching VTs without KMS, and then there seems no way to recover from it without reboot.

Comment 4 Jérôme Glisse 2009-09-10 13:29:36 UTC
Does it works with KMS ?

Comment 5 Qian Cai 2009-09-10 13:38:17 UTC
Enabling KMS introduces another problem.

 KMS: X Window Frozen with Radeon XPRESS 200M
 https://bugzilla.redhat.com/show_bug.cgi?id=521512

Comment 6 Qian Cai 2009-09-12 03:19:19 UTC
Found the offensive package,
xorg-x11-drv-ati-6.12.2-19.fc12 is working.
xorg-x11-drv-ati-6.12.2-21.fc12 is not working.

Comment 7 Qian Cai 2009-10-01 12:56:44 UTC
Propose for F12 blocker, since this bug along with bug 521512 seem going to make Radeon XPRESS 200M based systems unusable in F12.

Comment 8 Adam Williamson 2009-10-01 19:02:30 UTC
the KMS bug, rather than the non-KMS bug, should be the blocker, as KMS is the default configuration and the one we really want to work. non-KMS is a last-choice-before-vesa fallback.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Qian Cai 2009-10-06 13:51:23 UTC
(In reply to comment #8)
> the KMS bug, rather than the non-KMS bug, should be the blocker, as KMS is the
> default configuration and the one we really want to work. non-KMS is a
> last-choice-before-vesa fallback.
> 

Sounds reasonable. My original thought is we should fix either one of them before GA. If non-KMS is more appropriate to fix at this stage, and the KMS one is only affecting hardware in a relatively limited scope, it seems safe for F12. I have not found a way to express this logic in Bugzilla. Anyway, I'll remove the F12Blocker tracker for non-KMS bug for now.

Comment 10 Matěj Cepl 2009-11-05 17:15:14 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 11 Qian Cai 2009-11-07 01:24:20 UTC
I cannot reproduce the original problem anymore. I think you can close it. Thanks!


Note You need to log in before you can comment on or make changes to this bug.